Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		boblight
#Epoch:		0
Version:	2.0
Release:	1
License:	GNU/GPLv3
URL:		http://code.google.com/p/boblight/
Group:		System/Configuration/Hardware
Summary:	ambience light controlling tools
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires: alsa-lib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: pkg-config

#Automatically resolved build dependencies
BuildRequires: ffmpeg-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: mesa-libGL-devel
BuildRequires: portaudio-devel

%description
Boblight is a collection of tools for driving lights connected to an external controller.

Its main purpose is to create light effects from an external input, such as a video stream (desktop capture, video player, tv card), an audio stream (jack, alsa), or user input (lirc, http). Currently it only handles video input by desktop capture with xlib, video capture from v4l/v4l2 devices and user input from the commandline with boblight-constant.

Boblight uses a client/server model, where clients are responsible for translating an external input to light data, and boblightd is responsible for translating the light data into commands for external light controllers.


%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
# setting STDC_CONSTANT_MACORS prevents 'UINT64_C' was not declared in this scope
# errors
CXXFLAGS=-D__STDC_CONSTANT_MACROS ./configure \
--prefix=%_prefix \
--docdir=%_docdir \
--datarootdir=%_datadir \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/boblight-constant
%{_bindir}/boblightd
%{_bindir}/boblight-v4l
%{_bindir}/boblight-X11
%{_prefix}/doc/boblightd
%{_libdir}/libboblight.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libboblight
%{_libdir}/libboblight.a
%{_libdir}/libboblight.la
%{_libdir}/libboblight.so

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0-1
- initial CCux package release
